%define name epydoc
%define version 2.1
%define release 2mdk

Summary: Edward Loper's API Documentation Generation Tool
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.dl.sourceforge.net/sourceforge/epydoc/%{name}-%{version}.tar.bz2
License: IBM Open Source License
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
Url: http://epydoc.sourceforge.net/
BuildRequires: python-devel
Requires: tkinter

%description
Epydoc is a tool for generating API documentation for Python modules,
based on their docstrings. A lightweight markup language called
epytext can be used to format docstrings, and to add information about
specific fields, such as parameters and instance variables. Epydoc
also understands docstrings written in ReStructuredText, Javadoc, and
plaintext.


%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT
mkdir -p %buildroot%_mandir/man1
install -m 644 man/*.1 %buildroot%_mandir/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.TXT doc/
%_bindir/epydoc
%_bindir/epydocgui
%_mandir/man1/*
%_libdir/python%pyver/site-packages/%name/
%changelog
* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 2.1-2mdk
- Rebuild for new python

* Wed Oct 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1-1mdk
- initial package

